Subject: Re: [PATCH 0/6] git clone: Marry --recursive and --reference

From: Junio C Hamano <[email-masked]>
Date: Fri, 05 Aug 2016 14:47:34 -0700

Stefan Beller <[email-masked]> writes:

> The plan for other layouts might be
>
>     git submodule update --reference-dir /var/cache/

That is not a plan for "other layouts", but a plan for "the other
layout that was mentioned as a possibility".  As I said, both
layouts are equally plausible, and I do not know if we need to plan
for layouts other than these two, but we should consider if we want
to add one new option every time we find a new layout we need to
support, or we want a general framework that is more flexible and
allows us to make the "borrow from the $GIT_DIR/modules/ of the
repository the superproject borrows from" a mere special case of it.

Thanks.